- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GNet::ClientResolver Class Reference

A resolver class which calls SimpleClient::resolveCon() when done. More...

`#include <gsimpleclient.h>`

Inheritance diagram for GNet::ClientResolver:

## Public Member Functions
| ClientResolver (SimpleClient &)
| Constructor. More...
void | resolveCon (bool success, const Address &address, std::string reason)
| From Resolver. More...
Public Member Functions inherited from GNet::Resolver
| Resolver (EventHandler &)
| Constructor taking an event handler reference. More...
virtual | ~Resolver ()
| Virtual destructor. More...
bool | resolveReq (std::string name, bool udp=false)
| Initiates a name-to-address resolution. More...
bool | resolveReq (std::string host_name, std::string service_name, bool udp=false)
| Alternative form of ResolveReq(std::string,bool) with separate hostname and service name parameters. More...
bool | busy () const
| Returns true if there is a pending resolve request. More...

## Additional Inherited Members
Static Public Member Functions inherited from GNet::Resolver
static bool | parse (const std::string &in, std::string &host_or_address, std::string &service_or_port)
| Parses a string that contains a hostname or ip address plus a server name or port number. More...
static std::string | resolve (ResolverInfo &host_and_service, bool udp=false)
| Does syncronous name resolution. More...

## Detailed Description

A resolver class which calls SimpleClient::resolveCon() when done.

Definition at line 48 of file gsimpleclient.h.

## Constructor & Destructor Documentation

GNet::ClientResolver::ClientResolver | ( | SimpleClient & | client | ) |
| explicit

Constructor.

Definition at line 457 of file gsimpleclient.cpp.

## Member Function Documentation

void GNet::ClientResolver::resolveCon | ( | bool | success,
|  | const Address & | address,
|  | std::string | reason
| ) |  |
| virtual

From Resolver.

Reimplemented from GNet::Resolver.

Definition at line 463 of file gsimpleclient.cpp.

The documentation for this class was generated from the following files:

- gsimpleclient.h
- gsimpleclient.cpp